 ;
;bladedll.h
;+++++++++++++++++++++++++++
;+   Blade's Encoder DLL   +
;+++++++++++++++++++++++++++
;------------------------------------------------------
;- Version 1.00 (7 November 1998) - Jukka Poikolainen -
;------------------------------------------------------
;Initial version
;------------------------------------------------------
;- Version x.xx (x xxxxxxxx xxxx) - xxxxx xxxxxxxxxxx -
;------------------------------------------------------
;*/
IFNDEF ___BLADEDLL_H_INCLUDED___
ECHO    pack(push)
ECHO    pack(1)
 ; encoding formats 
BE_CONFIG_MP3	equ	<0>
 ; type definitions 
 ; error codes 
BE_ERR_SUCCESSFUL	equ	<000000000h>
BE_ERR_INVALID_FORMAT	equ	<000000001h>
BE_ERR_INVALID_FORMAT_PARAMETERS	equ	<000000002h>
BE_ERR_NO_MORE_HANDLES	equ	<000000003h>
BE_ERR_INVALID_HANDLE	equ	<000000004h>
 ; other constants 
BE_MAX_HOMEPAGE	equ	<256>
 ; format specific variables 
BE_MP3_MODE_STEREO	equ	<0>
BE_MP3_MODE_DUALCHANNEL	equ	<2>
BE_MP3_MODE_MONO	equ	<3>

BE_CONFIG	STRUCT
	dwConfig DWORD ?  ; BE_CONFIG_XXXXX
	union	format
	STRUCT	mp3
	dwSampleRate DWORD ?  ; 48000, 44100 and 32000 allowed
	byMode BYTE ?  ; BE_MP3_MODE_STEREO, BE_MP3_MODE_DUALCHANNEL, BE_MP3_MODE_MONO
	wBitrate WORD ?  ; 32, 40, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256 and 320 allowed
	bPrivate DWORD ?
	bCRC DWORD ?
	bCopyright DWORD ?
	bOriginal DWORD ?
	ENDS
	STRUCT	aac
	dwSampleRate DWORD ?
	byMode BYTE ?
	wBitrate WORD ?
	byEncodingMethod BYTE ?
	ENDS
	ENDS

BE_CONFIG		ENDS


BE_VERSION	STRUCT
	byDLLMajorVersion BYTE ?
	byDLLMinorVersion BYTE ?
	byMajorVersion BYTE ?
	byMinorVersion BYTE ?
	byDay BYTE ?
	byMonth BYTE ?
	wYear WORD ?
	zHomepage BYTE BE_MAX_HOMEPAGE + 1 dup (?)

BE_VERSION		ENDS


BEINITSTREAM PROTO :DWORD ,:DWORD ,:DWORD ,:DWORD 
BEENCODECHUNK PROTO :DWORD ,:DWORD ,:PSHORT ,:DWORD ,:DWORD 
BEDEINITSTREAM PROTO :DWORD ,:DWORD ,:DWORD 
BECLOSESTREAM PROTO :DWORD 
BEVERSION PROTO :DWORD 
TEXT_BEINITSTREAM	equ	<"beInitStream">
TEXT_BEENCODECHUNK	equ	<"beEncodeChunk">
TEXT_BEDEINITSTREAM	equ	<"beDeinitStream">
TEXT_BECLOSESTREAM	equ	<"beCloseStream">
TEXT_BEVERSION	equ	<"beVersion">
 ;
;BE_ERR	beInitStream(PBE_CONFIG pbeConfig, PDWORD dwSamples, PDWORD dwBufferSize, PHBE_STREAM phbeStream);
;BE_ERR	beEncodeChunk(HBE_STREAM hbeStream, DWORD nSamples, PSHORT pSamples, PBYTE pOutput, PDWORD pdwOutput);
;BE_ERR	beDeinitStream(HBE_STREAM hbeStream, PBYTE pOutput, PDWORD pdwOutput);
;BE_ERR	beCloseStream(HBE_STREAM hbeStream);
;VOID	beVersion(PBE_VERSION pbeVersion);
;*/

ECHO    pack(pop)
ENDIF 
